Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 2636)
@@ -21,4 +21,5 @@
    USE in_out_manager   ! I/O manager
    USE prtctl           ! Print control
+   USE lib_mpp          ! MPP library
 
    IMPLICIT NONE
@@ -75,6 +76,6 @@
 
       IF( wrk_in_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
-         CALL ctl_stop( 'lim_adv_x : requested workspace arrays unavailable.' )   ;   RETURN
-      END IF
+         CALL ctl_stop('lim_adv_x: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       ! Limitation of moments.                                           
@@ -223,7 +224,6 @@
       ENDIF
       !
-      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
-         CALL ctl_stop( 'lim_adv_x : failed to release workspace arrays.' )
-      END IF
+      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) )    &
+          CALL ctl_stop('lim_adv_x : failed to release workspace arrays')
       !
    END SUBROUTINE lim_adv_x
@@ -263,7 +263,7 @@
       !---------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
-         CALL ctl_stop( 'lim_adv_y : requested workspace arrays unavailable.' )   ;   RETURN
-      END IF
+      IF( wrk_in_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
+         CALL ctl_stop('lim_adv_y : requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       ! Limitation of moments.
@@ -413,7 +413,6 @@
       ENDIF
       !
-      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
-         CALL ctl_stop( 'lim_adv_y : failed to release workspace arrays.' )
-      END IF
+      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) )    &
+         CALL ctl_stop('lim_adv_y: failed to release workspace arrays')
       !
    END SUBROUTINE lim_adv_y
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 2636)
@@ -69,6 +69,6 @@
 
       IF(  wrk_in_use(1, 1,2)  .OR.  wrk_in_use(2, 1,2)  ) THEN
-         CALL ctl_stop( 'lim_dyn : requested workspace arrays unavailable.' )   ;   RETURN
-      END IF
+         CALL ctl_stop('lim_dyn : requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
       zind => wrk_1d_1(1:jpj)      ! Set-up pointers to sub-arrays of workspaces
       zmsk => wrk_1d_2(1:jpj)
@@ -212,7 +212,6 @@
       ENDIF
       !
-      IF(  wrk_not_released(1, 1,2)  .OR.  wrk_not_released(2, 1,2)  ) THEN
-         CALL ctl_stop( 'lim_dyn : failed to release workspace arrays.' )
-      END IF
+      IF( wrk_not_released(1, 1,2) .OR.   &
+          wrk_not_released(2, 1,2)  )   CALL ctl_stop('lim_dyn : failed to release workspace arrays' )
       !
    END SUBROUTINE lim_dyn
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limhdf.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limhdf.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limhdf.F90	(revision 2636)
@@ -63,6 +63,6 @@
       
       IF( wrk_in_use(2, 11,12,13,14,15,16) ) THEN
-         CALL ctl_stop( 'lim_hdf: ERROR: requested workspace arrays unavailable' )   ;   RETURN
-      END IF
+         CALL ctl_stop( 'lim_hdf: requested workspace arrays unavailable' )   ;   RETURN
+      ENDIF
 
       !                       !==  Initialisation  ==!
@@ -146,7 +146,5 @@
       ENDIF
       !
-      IF( wrk_not_released(2, 11,12,13,14,15,16) ) THEN
-         CALL ctl_stop( 'lim_hdf : failed to release workspace arrays.' )   ;   RETURN
-      END IF
+      IF( wrk_not_released(2, 11,12,13,14,15,16) )   CALL ctl_stop('lim_hdf: failed to release workspace arrays')
       !
    END SUBROUTINE lim_hdf
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 2636)
@@ -24,4 +24,5 @@
    USE in_out_manager   ! I/O manager
    USE lbclnk           ! lateral boundary condition - MPP exchanges
+   USE lib_mpp          ! MPP library
 
    IMPLICIT NONE
@@ -73,6 +74,6 @@
 
       IF(  wrk_in_use(1, 1,2)  ) THEN
-         CALL ctl_stop( 'lim_istate : requested workspace arrays unavailable.' )   ;   RETURN
-      END IF
+         CALL ctl_stop( 'lim_istate: requested workspace arrays unavailable' )   ;   RETURN
+      ENDIF
       zgfactorn => wrk_1d_1(1:jpm)   ;   zhin => wrk_1d_3(1:jpm)   ! Set-up pointers to sub-arrays of workspaces
       zgfactors => wrk_1d_2(1:jpm)   ;   zhis => wrk_1d_4(1:jpm)
@@ -516,7 +517,5 @@
       CALL lbc_lnk( fsbbq  , 'T', 1. )
       !
-      IF(  wrk_not_released(1, 1,2)  ) THEN
-         CALL ctl_stop( 'lim_istate : failed to release workspace arrays.' )
-      END IF
+      IF( wrk_not_released(1, 1,2) )   CALL ctl_stop('lim_istate : failed to release workspace arrays')
       !
    END SUBROUTINE lim_istate
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 2636)
@@ -24,7 +24,7 @@
    USE limcons          ! LIM
    USE in_out_manager   ! I/O manager
-   USE prtctl           ! Print control
    USE lbclnk           ! lateral boundary condition - MPP exchanges
    USE lib_mpp          ! MPP library
+   USE prtctl           ! Print control
    USE wrk_nemo         ! workspace manager
 
@@ -78,11 +78,8 @@
 CONTAINS
 
-   FUNCTION lim_itd_me_alloc()
+   INTEGER FUNCTION lim_itd_me_alloc()
       !!---------------------------------------------------------------------!
       !!                ***  ROUTINE lim_itd_me_alloc ***
       !!---------------------------------------------------------------------!
-      INTEGER :: lim_itd_me_alloc
-      !!---------------------------------------------------------------------!
-      !
       ALLOCATE(                                                                     &
          !* Variables shared among ridging subroutines
@@ -96,8 +93,6 @@
          &      dardg1dt(jpi,jpj)  , dardg2dt(jpi,jpj)                        ,     & 
          &      dvirdgdt(jpi,jpj)  , opening(jpi,jpj)                         , STAT=lim_itd_me_alloc )
-      !
-      IF( lim_itd_me_alloc /= 0 ) THEN
-         CALL ctl_warn( 'lim_itd_me_alloc: failed to allocate arrays.' )
-      END IF
+         !
+      IF( lim_itd_me_alloc /= 0 )   CALL ctl_warn( 'lim_itd_me_alloc: failed to allocate arrays' )
       !
    END FUNCTION lim_itd_me_alloc
@@ -149,6 +144,6 @@
 
       IF( wrk_in_use(2, 1,2,3,4,5,6,7,8) ) THEN
-         CALL ctl_stop(' : requested workspace arrays unavailable.')   ;   RETURN
-      END IF
+         CALL ctl_stop('lim_itd_me: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( numit == nstart  )   CALL lim_itd_me_init   ! Initialization (first time-step only)
@@ -494,5 +489,5 @@
       END DO
 
-      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8) )   CALL ctl_stop( 'lim_itd_me : failed to release workspace arrays.' )
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8) )   CALL ctl_stop('lim_itd_me: failed to release workspace arrays')
       !
    END SUBROUTINE lim_itd_me
@@ -525,6 +520,6 @@
 
       IF( wrk_in_use(2, 1) ) THEN
-         CALL ctl_stop('lim_itd_me_icestrength : requested workspace array unavailable.')   ;   RETURN
-      END IF
+         CALL ctl_stop('lim_itd_me_icestrength : requested workspace array unavailable')   ;   RETURN
+      ENDIF
 
       !------------------------------------------------------------------------------!
@@ -678,11 +673,8 @@
       ENDIF ! ksmooth
 
-      ! Boundary conditions
-      CALL lbc_lnk( strength, 'T', 1. )
-
-      IF(wrk_not_released(2, 1))THEN
-         CALL ctl_stop('lim_itd_me_icestrength : failed to release workspace array.')
-      END IF
-
+      CALL lbc_lnk( strength, 'T', 1. )      ! Boundary conditions
+
+      IF( wrk_not_released(2, 1) )   CALL ctl_stop('lim_itd_me_icestrength: failed to release workspace array')
+      !
    END SUBROUTINE lim_itd_me_icestrength
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limmsh.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limmsh.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limmsh.F90	(revision 2636)
@@ -17,4 +17,5 @@
    USE in_out_manager ! I/O manager
    USE lbclnk         ! lateral boundary condition - MPP exchanges
+   USE lib_mpp        ! MPP library
 
    IMPLICIT NONE
@@ -54,5 +55,5 @@
 
       IF( jphgr_msh == 2 .OR. jphgr_msh == 3 .OR. jphgr_msh == 5 )   &
-          &      CALL ctl_stop(' Coriolis parameter in LIM not set for f- or beta-plane' )
+          &      CALL ctl_stop(' Coriolis parameter in LIM not set for f- or beta-plane')
 
       !                           !==  coriolis factor & Equator position ==!
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limrst.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limrst.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limrst.F90	(revision 2636)
@@ -23,4 +23,5 @@
    USE in_out_manager   ! I/O manager
    USE iom              ! I/O library
+   USE lib_mpp          ! MPP library
 
    IMPLICIT NONE
@@ -103,5 +104,5 @@
 
       IF( wrk_in_use(2, 1) ) THEN
-         CALL ctl_stop( 'lim_rst_write : requested workspace arrays unavailable.' )   ;   RETURN
+         CALL ctl_stop( 'lim_rst_write : requested workspace arrays unavailable' )   ;   RETURN
       END IF
 
@@ -294,7 +295,5 @@
       ENDIF
       !
-      IF( wrk_not_released(2, 1) ) THEN
-         CALL ctl_stop( 'lim_rst_write : failed to release workspace arrays.' )
-      END IF
+      IF( wrk_not_released(2, 1) )   CALL ctl_stop( 'lim_rst_write : failed to release workspace arrays' )
       !
    END SUBROUTINE lim_rst_write
@@ -322,5 +321,5 @@
       IF( wrk_in_use(2, 1) ) THEN
          CALL ctl_stop( 'lim_rst_read : requested workspace arrays unavailable.' )   ;   RETURN
-      END IF
+      ENDIF
 
       IF(lwp) THEN
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 2636)
@@ -30,4 +30,5 @@
    USE lbclnk           ! ocean lateral boundary condition
    USE in_out_manager   ! I/O manager
+   USE lib_mpp          ! MPP library
    USE prtctl           ! Print control
    USE cpl_oasis3, ONLY : lk_cpl
@@ -58,17 +59,13 @@
 CONTAINS
 
-   FUNCTION lim_sbc_alloc()
+   INTEGER FUNCTION lim_sbc_alloc()
       !!-------------------------------------------------------------------
       !!             ***  ROUTINE lim_sbc_alloc ***
       !!-------------------------------------------------------------------
-      INTEGER :: lim_sbc_alloc   ! return value
-      !!-------------------------------------------------------------------
-      !
       ALLOCATE( soce_0(jpi,jpj) , utau_oce(jpi,jpj) ,                       &
          &      sice_0(jpi,jpj) , vtau_oce(jpi,jpj) , tmod_io(jpi,jpj), STAT=lim_sbc_alloc)
          !
       IF( lk_mpp             )   CALL mpp_sum( lim_sbc_alloc )
-      IF( lim_sbc_alloc /= 0 )   CALL ctl_warn('lim_sbc_alloc: failed to allocate arrays.')
-      !
+      IF( lim_sbc_alloc /= 0 )   CALL ctl_warn('lim_sbc_alloc: failed to allocate arrays')
    END FUNCTION lim_sbc_alloc
 
@@ -112,5 +109,5 @@
 
       IF( wrk_in_use(2, 1,2) .OR. wrk_in_use(3, 4,5) ) THEN
-         CALL ctl_stop( 'lim_sbc_flx : requested workspace arrays unavailable.' )   ;   RETURN
+         CALL ctl_stop( 'lim_sbc_flx : requested workspace arrays unavailable' )   ;   RETURN
       ENDIF
       ! Set-up pointers to sub-arrays of 3d workspaces
@@ -300,7 +297,7 @@
       ENDIF
       !
-      IF(  wrk_not_released(2, 1,2)  .OR.  wrk_not_released(3, 4,5)  ) THEN
-         CALL ctl_stop( 'lim_sbc_flx : failed to release workspace arrays.' )
-      END IF
+      IF( wrk_not_released(2, 1,2)    .OR.   &
+          wrk_not_released(3, 4,5)  )        &
+          CALL ctl_stop( 'lim_sbc_flx: failed to release workspace arrays' )
       ! 
    END SUBROUTINE lim_sbc_flx
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_dh.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_dh.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_dh.F90	(revision 2636)
@@ -103,6 +103,6 @@
 
       IF( wrk_in_use(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22) ) THEN
-         CALL ctl_stop('lim_thd_dh : requestead workspace arrays unavailable.')   ;   RETURN
-      END IF
+         CALL ctl_stop('lim_thd_dh: requestead workspace arrays unavailable')   ;   RETURN
+      ENDIF
       ! Set-up pointers to sub-arrays of workspace arrays
       zh_i        => wrk_1d_1 (1:jpij)   ! ice layer thickness
@@ -700,5 +700,5 @@
       !
       IF( wrk_not_released(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21) )   &
-         &     CALL ctl_stop('lim_thd_dh : failed to release workspace arrays.')
+          CALL ctl_stop('lim_thd_dh : failed to release workspace arrays')
       !
    END SUBROUTINE lim_thd_dh
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_ent.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_ent.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_ent.F90	(revision 2636)
@@ -122,5 +122,5 @@
 
       IF( wrk_in_use(1, 1,2,3,4,5,6,7,8) ) THEN
-         CALL ctl_stop('lim_thd_dh : requestead workspace arrays unavailable.')   ;   RETURN
+         CALL ctl_stop('lim_thd_dh : requestead workspace arrays unavailable')   ;   RETURN
       END IF
 
@@ -687,5 +687,5 @@
       END DO !jk
       !
-      IF( wrk_not_released(1, 1,2,3,4,5,6,7,8) )   CALL ctl_stop( 'lim_thd_ent : failed to release workspace arrays.' )
+      IF( wrk_not_released(1, 1,2,3,4,5,6,7,8) )   CALL ctl_stop( 'lim_thd_ent : failed to release workspace arrays' )
       !
    END SUBROUTINE lim_thd_ent
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_lac.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_lac.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_lac.F90	(revision 2636)
@@ -28,4 +28,5 @@
    USE wrk_nemo         ! workspace manager
    USE in_out_manager   ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -690,6 +691,6 @@
       !
       IF( wrk_not_released(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .OR.     &
-         &wrk_not_released(2, 1,2,3,4,5,6,7,8)                       )   &
-         &      CALL ctl_stop( 'lim_thd_lac : failed to release workspace arrays.' )
+          wrk_not_released(2, 1,2,3,4,5,6,7,8)                       )   &
+          CALL ctl_stop( 'lim_thd_lac : failed to release workspace arrays' )
       !
    END SUBROUTINE lim_thd_lac
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 2636)
@@ -23,4 +23,5 @@
    USE wrk_nemo         ! workspace manager
    USE in_out_manager   ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -237,5 +238,5 @@
       ENDIF
       !
-      IF( wrk_not_released(1, 1,2,3) )   CALL ctl_stop( 'lim_thd_lac : failed to release workspace arrays.' )
+      IF( wrk_not_released(1, 1,2,3) )   CALL ctl_stop( 'lim_thd_lac : failed to release workspace arrays' )
       !
    END SUBROUTINE lim_thd_sal
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limtrp.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limtrp.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limtrp.F90	(revision 2636)
@@ -80,6 +80,6 @@
       !!---------------------------------------------------------------------
 
-      IF( wrk_in_use( 2, 1,2,3,4,5 ) ) THEN
-         CALL ctl_stop( 'lim_trp : requested workspace arrays unavailable.' )   ;   RETURN
+      IF( wrk_in_use(2, 1,2,3,4,5) ) THEN
+         CALL ctl_stop( 'lim_trp : requested workspace arrays unavailable' )   ;   RETURN
       END IF
 
@@ -463,5 +463,5 @@
       ENDIF
       !
-      IF( wrk_not_released( 2, 1,2,3,4,5 ) )   CALL ctl_stop('lim_trp_2 : failed to release workspace arrays.')
+      IF( wrk_not_released(2, 1,2,3,4,5) )   CALL ctl_stop('lim_trp_2 : failed to release workspace arrays')
       !
    END SUBROUTINE lim_trp
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limvar.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limvar.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limvar.F90	(revision 2636)
@@ -52,4 +52,5 @@
    USE wrk_nemo         ! workspace manager
    USE in_out_manager   ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -305,5 +306,5 @@
 
       IF( wrk_in_use( 2, 1,2 ) ) THEN
-         CALL ctl_stop( 'lim_var_salprof : requested workspace arrays unavailable.' )   ;   RETURN
+         CALL ctl_stop( 'lim_var_salprof: requested workspace arrays unavailable' )   ;   RETURN
       END IF
 
@@ -388,5 +389,5 @@
       ENDIF ! num_sal
       !
-      IF( wrk_not_released( 2, 1,2 ) )   CALL ctl_stop('lim_var_salprof : failed to release workspace arrays.')
+      IF( wrk_not_released(2, 1,2) )   CALL ctl_stop('lim_var_salprof: failed to release workspace arrays.')
       !
    END SUBROUTINE lim_var_salprof
@@ -510,5 +511,5 @@
       ENDIF
       !
-      IF( wrk_not_released(1, 1) )   CALL ctl_stop( 'lim_var_salprof1d : failed to release workspace arrays.' )
+      IF( wrk_not_released(1, 1) )   CALL ctl_stop( 'lim_var_salprof1d : failed to release workspace arrays' )
       !
    END SUBROUTINE lim_var_salprof1d
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limwri.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limwri.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limwri.F90	(revision 2636)
@@ -15,12 +15,13 @@
    USE phycst
    USE dom_oce
-   USE in_out_manager
    USE sbc_oce         ! Surface boundary condition: ocean fields
    USE sbc_ice         ! Surface boundary condition: ice fields
    USE dom_ice
    USE ice
+   USE limvar
+   USE in_out_manager
    USE lbclnk
+   USE lib_mpp         ! MPP library
    USE par_ice
-   USE limvar
 
    IMPLICIT NONE
@@ -70,7 +71,7 @@
       !!  modif : 03/06/98
       !!-------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_not_released, wrk_in_use
-      USE wrk_nemo, ONLY: zfield => wrk_2d_1             ! 2D workspace
-      USE wrk_nemo, ONLY: wrk_3d_1, wrk_3D_2, wrk_3d_3   ! 3D workspace
+      USE wrk_nemo, ONLY:   wrk_not_released, wrk_in_use
+      USE wrk_nemo, ONLY:   zfield => wrk_2d_1             ! 2D workspace
+      USE wrk_nemo, ONLY:   wrk_3d_1, wrk_3D_2, wrk_3d_3   ! 3D workspace
       !
       INTEGER, INTENT(in) ::   kindic   ! if kindic < 0 there has been an error somewhere
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 2636)
@@ -8,4 +8,5 @@
    USE par_ice        ! LIM-3 parameters
    USE in_out_manager ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -195,7 +196,5 @@
       thd_ice_alloc = MAXVAL( ierr )
 
-      IF( thd_ice_alloc /= 0 ) THEN
-         CALL ctl_warn( 'thd_ice_alloc: failed to allocate arrays.' )
-      END IF
+      IF( thd_ice_alloc /= 0 )   CALL ctl_warn( 'thd_ice_alloc: failed to allocate arrays.' )
       !
    END FUNCTION thd_ice_alloc
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 2636)
@@ -21,5 +21,4 @@
    !!   ssh_asm_inc  : Apply the SSH increment
    !!----------------------------------------------------------------------
-   USE in_out_manager   ! I/O manager
    USE par_oce          ! Ocean space and time domain variables
    USE dom_oce          ! Ocean space and time domain
@@ -31,4 +30,6 @@
    USE asmpar           ! Parameters for the assmilation interface
    USE c1d              ! 1D initialization
+   USE in_out_manager   ! I/O manager
+   USE lib_mpp           ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90	(revision 2636)
@@ -21,7 +21,6 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -36,5 +35,4 @@
       !!
       !!----------------------------------------------------------------------
-      USE in_out_manager, ONLY: ctl_stop
       USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zglam => wrk_2d_2, &
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domstp.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domstp.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domstp.F90	(revision 2636)
@@ -8,19 +8,17 @@
    !!   dom_stp        : ocean time domain initialization
    !!----------------------------------------------------------------------
-   !! History :
-   !!        !  90-10  (O. Marti)  Original code
-   !!        !  96-01  (G. Madec)  terrain following coordinates
-   !!   8.5  !  02-08  (G. Madec)  F90: Free form and module
+   !! History :  OPA  ! 1990-10  (O. Marti)  Original code
+   !!                 ! 1996-01  (G. Madec)  terrain following coordinates
+   !!   NEMO     1.0  ! 2002-08  (G. Madec)  F90: Free form and module
    !!----------------------------------------------------------------------
-   !! * Modules used
-   USE oce             ! ocean dynamics and tracers
-   USE dom_oce         ! ocean space and time domain
-   USE in_out_manager  ! I/O manager
+   USE oce            ! ocean dynamics and tracers
+   USE dom_oce        ! ocean space and time domain
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! MPP library
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * routine accessibility
-   PUBLIC dom_stp        ! routine called by inidom.F90
+   PUBLIC   dom_stp   ! routine called by inidom.F90
 
    !! * Substitutions
@@ -29,7 +27,6 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 2636)
@@ -43,5 +43,6 @@
    USE dynspg_ts       ! pressure gradient schemes
    USE traswp          ! Swap arrays                      (tra_swp routine)
-   
+   USE lib_mpp         ! MPP library
+
    IMPLICIT NONE
    PRIVATE
@@ -55,7 +56,6 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DTA/dtasal.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DTA/dtasal.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DTA/dtasal.F90	(revision 2636)
@@ -18,7 +18,8 @@
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
+   USE phycst          ! physical constants
    USE fldread         ! read input fields
    USE in_out_manager  ! I/O manager
-   USE phycst          ! physical constants
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DTA/dtatem.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DTA/dtatem.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DTA/dtatem.F90	(revision 2636)
@@ -18,7 +18,8 @@
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
+   USE phycst          ! physical constants
    USE fldread         ! read input fields
    USE in_out_manager  ! I/O manager
-   USE phycst          ! physical constants
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/divcur.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/divcur.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/divcur.F90	(revision 2636)
@@ -31,4 +31,5 @@
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 2636)
@@ -14,4 +14,5 @@
    USE dom_oce         ! ocean space and time domain
    USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
 
    USE dynadv_cen2     ! centred flux form advection      (dyn_adv_cen2 routine)
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 2636)
@@ -18,4 +18,5 @@
    USE trdmod         ! ocean dynamics trends
    USE in_out_manager ! I/O manager
+   USE lib_mpp         ! MPP library
    USE prtctl         ! Print control
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 2636)
@@ -16,9 +16,10 @@
    USE oce            ! ocean dynamics and tracers
    USE dom_oce        ! ocean space and time domain
-   USE in_out_manager ! I/O manager
-   USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE trdmod         ! ocean dynamics trends
    USE trdmod_oce     ! ocean variables trends
+   USE in_out_manager ! I/O manager
    USE prtctl         ! Print control
+   USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
+   USE lib_mpp        ! MPP library
 
    IMPLICIT NONE
@@ -92,5 +93,5 @@
       IF( wrk_in_use(3, 1,2,3,4,5,6,7) .OR. wrk_in_use(4, 1,2,3,4) ) THEN
          CALL ctl_stop('dyn_adv_ubs : requested workspace array unavailable')   ;   RETURN
-      END IF
+      ENDIF
 
       zfu_t(:,:,:) = 0._wp
